Run dashboard chart

Requests to run the specified chart. Acceptance of a request does not mean chart results have been generated.

POST https://moi.matrixorigin.cn/newmoi/data-dashboards/{dashboard_id}/charts/{chart_id}/run

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

The example below uses:

  • $AI_STUDIO_API_KEY: The actual personal access token, passed through the X-API-Key Header.

  • $WORKSPACE_ID: Target workspace ID, passed through X-Workspace-ID Header.

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

  • $CHART_ID: chart_id to use, specifying the target resource through the request path.

Call example

curl -X POST "https://moi.matrixorigin.cn/newmoi/data-dashboards/$DASHBOARD_ID/charts/$CHART_ID/run" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

chart_id

string

Yes

Chart ID.

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

{
  "code": 202,
  "data": {"chart_id": "chart-001", "execution_id": "exec-001", "status": "submitted"}
}

The response fields are as follows.

Field

Type

Description

data.chart_id

string

Chart ID.

data.execution_id

string

Chart run ID.

data.status

string

Running status.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Follow-up operations

Use the same identifier query chart results.

Last updated on